---
id: pkg
title: pkg
hide_title: true
hide_table_of_contents: true
sidebar_label: pkg
description: 🚧 List contents of a DMG/PKG file
---
## ipsw pkg

🚧 List contents of a DMG/PKG file

```
ipsw pkg PKG [flags]
```

### Options

```
  -a, --all              Show all contents
  -b, --bom              Show BOM
  -d, --dist             Show distribution
  -f, --flat             Do NOT preserve directory structure when extracting with --pattern
  -h, --help             help for pkg
  -o, --output string    Output folder
  -p, --pattern string   Extract files that match regex
  -l, --pay              Show Payload
  -s, --scripts          Show scripts
```

### Options inherited from parent commands

```
      --color           colorize output
      --config string   config file (default is $HOME/.config/ipsw/config.yaml)
      --no-color        disable colorize output
  -V, --verbose         verbose output
```

### SEE ALSO

* [ipsw](/docs/cli/ipsw)	 - Download and Parse IPSWs (and SO much more)

